# -------------------------------------------------------------------------- #
# Copyright 2010, C12G Labs S.L.                                             #
#                                                                            #
# This program is free software: you can redistribute it and/or modify       #
# it under the terms of the GNU General Public License as published by       #
# the Free Software Foundation, either version 3 of the License, or          #
# (at your option) any later version.                                        #
#                                                                            #
# This program is distributed in the hope that it will be useful,            #
# but WITHOUT ANY WARRANTY; without even the implied warranty of             #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
# GNU General Public License for more details.                               #
#                                                                            #
# You should have received a copy of the GNU General Public License          #
# along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
#--------------------------------------------------------------------------- #

OS='Debian 5.0'
FRONTEND_DEPS="build-essential nfs-kernel-server openssh-server ruby rubygems \
ruby-dev libcurl3 libsqlite3-ruby libsqlite3-ruby1.8 libxmlrpc-c3 \
libxmlrpc-c3-dev libxml2-dev libxmlrpc3-server-java libxmlrpc3-common-java libxslt1-dev"

if [ "$TM" = "NFS" ];then
	NODE_DEPS="nfs-common openssh-server kvm libvirt-bin ruby"
elif [ "$TM" = "SSH" ];then
	NODE_DEPS="openssh-server kvm libvirt-bin ruby"
fi

if [ "$ARCH" = 'x86_64' ];then
	BINARY=http://dev.opennebula.org/attachments/download/224/opennebula_2.0-1_amd64.deb
else
	BINARY=http://dev.opennebula.org/attachments/download/236/opennebula_2.0-1_i386.deb
fi


function install_dependencies {
	update_package_manager
	install_packages $*
}

function update_package_manager {
	apt-get update
}

function install_packages {
	apt-get -y install $*
}

function local_install_package {
	file_basename=$(basename $1)
	dpkg -i $file_basename
	apt-get -fy install
}

function system_create_user {
	user_name=$1
	home_dir=$2
	uid=$3
	gid=$4
	
	groupadd -g $gid $user_name
	useradd -m -d $home_dir -s /bin/bash -u $uid -g $gid $user_name
}
